Apache log4cxx: StringHelper Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# StringHelper Class Reference

List of all members.

## Detailed Description

String manipulation routines.

## Static Public Member Functions
static LogString | trim (const LogString &s)
static bool | startsWith (const LogString &s, const LogString &suffix)
static bool | endsWith (const LogString &s, const LogString &suffix)
static bool | equalsIgnoreCase (const LogString &s1, const logchar *upper, const logchar *lower)
static bool | equalsIgnoreCase (const LogString &s1, const LogString &upper, const LogString &lower)
static int | toInt (const LogString &s)
static log4cxx_int64_t | toInt64 (const LogString &s)
static void | toString (int i, log4cxx::helpers::Pool &pool, LogString &dst)
static void | toString (log4cxx_int64_t i, log4cxx::helpers::Pool &pool, LogString &dst)
static void | toString (size_t i, log4cxx::helpers::Pool &pool, LogString &dst)
static void | toString (bool val, LogString &dst)
static LogString | toLowerCase (const LogString &s)
static LogString | format (const LogString &pattern, const std::vector< LogString > &params)

## Member Function Documentation

static bool endsWith | ( | const LogString & | s,
|  | const LogString & | suffix
| ) | `[static]`

static bool equalsIgnoreCase | ( | const LogString & | s1,
|  | const LogString & | upper,
|  | const LogString & | lower
| ) | `[static]`

static bool equalsIgnoreCase | ( | const LogString & | s1,
|  | const logchar * | upper,
|  | const logchar * | lower
| ) | `[static]`

static LogString format | ( | const LogString & | pattern,
|  | const std::vector< LogString > & | params
| ) | `[static]`

static bool startsWith | ( | const LogString & | s,
|  | const LogString & | suffix
| ) | `[static]`

static int toInt | ( | const LogString & | s | ) | `[static]`

static log4cxx_int64_t toInt64 | ( | const LogString & | s | ) | `[static]`

static LogString toLowerCase | ( | const LogString & | s | ) | `[static]`

static void toString | ( | bool | val,
|  | LogString & | dst
| ) | `[static]`

static void toString | ( | size_t | i,
|  | log4cxx::helpers::Pool & | pool,
|  | LogString & | dst
| ) | `[static]`

static void toString | ( | log4cxx_int64_t | i,
|  | log4cxx::helpers::Pool & | pool,
|  | LogString & | dst
| ) | `[static]`

static void toString | ( | int | i,
|  | log4cxx::helpers::Pool & | pool,
|  | LogString & | dst
| ) | `[static]`

static LogString trim | ( | const LogString & | s | ) | `[static]`

The documentation for this class was generated from the following file:

- stringhelper.h